package com.luojia_channel.modules.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.luojia_channel.common.domain.UserDTO;
import com.luojia_channel.modules.user.dto.UserLoginDTO;
import com.luojia_channel.modules.user.dto.UserRegisterDTO;
import com.luojia_channel.modules.user.entity.User;
import com.luojia_channel.modules.user.vo.UserInfoVO;
import jakarta.servlet.http.HttpServletRequest;

public interface UserLoginService extends IService<User> {

    UserInfoVO login(UserLoginDTO userLoginDTO);

    UserDTO checkLogin(String accessToken, String refreshToken);

    void logout(HttpServletRequest request);

    UserDTO register(UserRegisterDTO userRegisterDTO);
}
